Questão Não é possível instalar o SQL Server 2012


Quando estou tentando instalar uma nova instância do SQL server 2012 no meu servidor, recebo a seguinte mensagem de erro quando tento executar a iso (antes de aparecer qualquer gui):

O sistema operacional neste computador não atende aos requisitos mínimos do SQL Server 2012. Para os sistemas operacionais Windows Vista ou Server 2008, é necessário o Service Pack 2 ou posterior. Para o Windows 7 ou Windows Serer 2008 R2, é necessário o Service Pack 1 ou posterior. Para obter mais informações, consulte Requisitos de hardware e software para instalar o SQL Server 2012 em:

http://go.microsoft.com/fwlink?linkid=195092&clcid=0x416

O servidor é virtual, executando sob hyper-v com ram estático de 4 GB e dois núcleos de processador. O servidor está executando o Windows Server 2008 R2 Enterprise SP1 x64. Cada unidade possui mais de 20 GB de RAM. Eu reiniciei o servidor para ver se isso muda a situação e isso não acontece.

Quanto aos outros requisitos de instalação:

  • .net 3.5.1 recurso está instalado
  • O Powershell 2.0 está instalado

A parte mais estranha de tudo isso é que o servidor já tem instâncias do SQL Server 2012 em execução. Essas instâncias foram instaladas usando o mesmo iso que está sendo usado para tentar essa nova instalação.


0


origem


você tem visual C runtime 2010 instalado? isso é um erro comum causado por falta - Lorenzo Von Matterhorn
Você está instalando o SQL 2012 ou o SQL 2012 Express? - Dave
reparar microsoft .net 4.0 pode ser o solucionador de problemas; Se você ficar sem opções, você também pode usar outra conta local para instalá-lo e, em seguida, relogar em sua conta atual. - Lorenzo Von Matterhorn
Eu estou tentando instalar o SQL Server 2012 Enterprise. Visual C ++ 2010, bem como um completo visual studio está instalado no servidor. As instâncias existentes do SQL Server 2012 estão todas funcionando corretamente. Eu estou indo para reparar .net 4.0 agora. - Logan Bissonnette
Logar como um usuário diferente resolveu o problema (estranhamente). Ainda não funciona com minha conta de usuário antiga, mas desde que eu possa instalar uma nova instância, estou feliz. Se você colocar isso como uma resposta eu vou marcar como solução. - Logan Bissonnette


Respostas:


Conforme solicitado pelo QA, estou adicionando meu comentário como resposta:

Reparar microsoft .net 4.0 pode ser o solucionador de problemas; Se você ficar sem opções, você também pode usar outra conta local para instalá-lo e, em seguida, relogar em sua conta atual.


2



Como o .net 4.0 é quebrado no primeiro lugar que precisa ser reparado? Como você poderia imaginar que a estrutura do .net está quebrada, para considerar a possibilidade de consertá-la? - Triynko
Por experiência. teve o mesmo problema com vários outros computadores; esta etapa resolveu o problema. - Lorenzo Von Matterhorn